%define shortname weather
%define name gdesklets-%{shortname}
%define version 0.26
%define release 1mdk
%define archivename %{shortname}-desklet-%{version}

Name:           %{name}
Summary:        Weather sensor and display for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=76
Source0:	%{archivename}.tar.gz
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
Requires:	gdesklets

%description
A sensor and display for displaying the current weather information.
It can retrieve information for many countries of the world.

To add the display, use :
  gdesklets-add-%{shortname}-display

%prep
%setup -q -n %{archivename} -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}
rm -f %buildroot%_datadir/gdesklets/Sensors/Weather/locale/install_locales.py %buildroot%_datadir/gdesklets/Sensors/Weather/.ChangeLog.swp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README
%{_datadir}/gdesklets/Displays
%dir %{_datadir}/gdesklets/Sensors/Weather
%dir %{_datadir}/gdesklets/Sensors/Weather/locale
%{_datadir}/gdesklets/Sensors/Weather/icons
%{_datadir}/gdesklets/Sensors/Weather/ChangeLog
%{_datadir}/gdesklets/Sensors/Weather/*.py
%{_bindir}/gdesklets-add-%{shortname}-display
%{_bindir}/gdesklets-add-%{shortname}-full-display

%changelog
* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.26-1mdk
- update source1 for 0.30
- new version

* Wed Mar  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.25-1mdk
- new version

* Thu Feb  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.24-1mdk
- update file list
- fix url
- new version

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.21-1mdk
- fix directory ownership
- fix URL and summary
- new version

* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 0.2-1mdk 
- Initial release for Mandrake
  thanks to Jason Tacakberry <tack@auc.ca> (RH packager) for his help
- Creation of Makefile and install scripts
- Creation of gdesklets-add-*-display scripts to add new displays
